Tag: build.gradle

No se encontró ninguna versión que coincida con com.android.tools.build:gradle:1.10+

He estado a través de muchos de los mensajes de stackoverflow sobre este tipo de error – pero ninguno funciona. Estoy importando un proyecto que estaba usando gradle .63 Un error me dijo que actualizar a 1.10 porque la versión anterior tiene incompatibilidades. Hice lo que pedí y ahora obtener este error : Could not […]

Autoincremento de Gradle y Renombrar APK I / O Error

Estoy tratando de hacer un incremento automático para el número de compilación en Android Studio. Sigue este enlace , y funciona bien. Ahora quiero cambiar el nombre del apk usando el nombre de versión. También lo hice con éxito, como puedo ver en mi app \ build \ outputs \ apk directorio, que el archivo […]

Actualizar programaticamente build.gradle en un complemento intellij

Estoy escribiendo un complemento para intellij y me gustaría cambiar programaticamente el archivo build.gradle de un proyecto Intellij. Quiero agregar sourceSets { resources { srcDir 'src/resources' } } Dentro del objeto android en el archivo build.gradle (este es un proyecto android) Me doy cuenta de que tengo que hacer algo a lo largo de las […]

Android Studio 3.0 Los cambios de Kotlin no se reflejan en la compilación

¿Alguien ha probado el nuevo estudio androide con 3.0 para kotlin. Estoy viendo un extraño problema donde los cambios de código de Kotlin no se reflejan cuando ejecuto la aplicación, pero los cambios de java se pueden ver. Cuando depuro la aplicación, el código no se detendrá en las nuevas líneas de código. También he […]

Dagger 2 no está generando mi clase de componente

Estoy trabajando con Dagger 2 para crear mi inyección de dependencia. Estaba funcionando hace unas horas, pero ahora los componentes no se generan más. Aquí es donde estoy creando los componentes: public class App extends Application { CacheComponent mCacheComponent; ApiComponent mApiComponent; DataBaseComponent mDataBaseComponent; @Override public void onCreate() { super.onCreate(); mCacheComponent = DaggerCacheComponent.builder() .cacheModule(new CacheModule(getApplicationContext())) .build(); […]

Cómo ignorar el atributo Ignorar InnerClasses

Varias bibliotecas .jar de terceros que utilizo están lanzando miles de advertencias de Lint como ésta: Error:warning: Ignoring InnerClasses attribute for an anonymous inner class Error:(com.inneractive.api.ads.sdk.IAmraidWebView$a) that doesn't come with an Error:associated EnclosingMethod attribute. This class was probably produced by a Error:compiler that did not target the modern .class file format. The recommended Error:solution is […]

Gradle compile filetree sintaxis

Estructura de carpetas: – RootProject Folder – MyMainProject – MyLibraries – Facebook La carpeta del proyecto raíz tiene un archivo build.gradle, pero MyMainProject tiene uno con todas las dependencias. dependencies { compile fileTree(dir: 'libs', include: '*.jar') compile project(':MyLibraries:Facebook') } Me siento como compile project no tiene el camino correcto. ¿Hay alguna manera de hacer que […]

¿Cómo excluir archivos de recursos con Gradle y Android Studio?

Tengo un archivo de xml de recursos de cadena generado en mi proyecto que se genera a partir de un archivo con extensión .template. Estoy tratando de excluir esta plantilla de la construcción, ya que me da error de recurso duplicado. Lo siguiente no funciona para mí y estoy atascado: sourceSets { main { manifest.srcFile […]

No se pudo encontrar: com.android.support:support-v4:22.2.0

Estoy tratando de hacer una aplicación, pero parece haber algún error con los archivos gradle ahora. Funcionaba bien hasta que actualizé las bibliotecas de soporte. Yo estaba trabajando con api 21 que funcionó bien, pero luego actualizado a api22 y cambió los archivos gradle en consecuencia .. Ahora este error aparece. Error:Failed to find: com.android.support:support-v4:22.2.0 […]

Gradle no pudo resolver

Esta es la primera vez que intento usar gradle con un proyecto de android. Me gustaría añadir retroadaptación a mi proyecto, pero sigue contándome. No se pudo resolver: com.squareup.retrofit: retrofit: 1.9.0 No se pudo resolver: com.squareup.okhttp: 2.2.0 Sin embargo, los servicios de Google Play funcionan perfectamente. Mi archivo gradle es el siguiente: apply plugin: 'com.android.application' […]

FlipAndroid es un fan de Google para Android, Todo sobre Android Phones, Android Wear, Android Dev y Aplicaciones para Android Aplicaciones.